Skip to main content
DELETE
/
searches
Delete multiple Searches
curl --request DELETE \
  --url https://commerce.driv.ly/api/searches \
  --header 'Authorization: <api-key>'
{
  "message": "<string>",
  "errors": [
    "<string>"
  ],
  "docs": [
    {
      "updatedAt": "<string>",
      "createdAt": "<string>",
      "lead": 123,
      "retailListingUrls": "<string>",
      "year": "<string>",
      "make": "<string>",
      "model": "<string>",
      "trim": "<string>",
      "bodyStyle": [],
      "drive": [],
      "transmission": [],
      "maxPrice": "<string>",
      "maxMiles": 123,
      "newOrUsed": [],
      "minimumGrade": 123,
      "requiredOptions": [],
      "acceptableColors": [],
      "acceptableInterior": [],
      "proposedVehicles": "<string>",
      "vehicles": [
        123
      ],
      "lastModifiedBy": 123,
      "seats": "<string>",
      "updateRequested": "<string>",
      "oneOwner": true,
      "priority": true
    }
  ]
}
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { searches } from '@drivly/commerce'

const sdk = new SDK(...)

const searches = await sdk.searches.unknown()

Authorizations

Authorization
string
header
required

Query Parameters

sort
string

sort by field

where
Where clause · object
required

pass a where query to constrain returned documents (complex type, see documentation)

Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit
number

limit the returned documents to a certain number

page
number

get a specific page of documents

depth
number

number of levels to automatically populate relationships and uploads

locale
string

retrieves document(s) in a specific locale

fallback-locale
string

specifies a fallback locale if no locale value exists

Response

200 - application/json

ok

message
string
errors
string[]
docs
Search · object[]